Subject: [bug#65335] [PATCH 0/4] Allow mounting root on tmpfs for impersistence

From: Nicolas Graves <[email-masked]>
Date: Thu, 15 Feb 2024 12:45:19 +0100

Hi Ludo,

Just to tell that the v3 I sent a few weeks ago is indeed fully tested,
and that commit messages are properly written.

Should we also think about a blog post on impermanence like nix did?

Nicolas

On 2023-10-12 08:55, Ludovic Courtès wrote:

> Hi,
>
> Nicolas Graves <[email-masked]> skribis:
>
>> On 2023-10-05 15:07, Ludovic Courtès wrote:
>
> [...]
>
>>>   Should /var/run be removed (in the same commit) from ‘directives’ in
>>>   (gnu build install)?
>>
>> Maybe you can help a bit if you have worked on this, so that I
>> understand correctly if something should be done here or not. 
>
> The directives in (gnu build install) specify files and directories that
> should be created upfront when initializing a system—meaning when
> running ‘guix system init’, or when populating a VM image.  The
> boot/activation code assumes that these files already exist when the
> system boots.
>
> If we’re now creating /var/run in an activation snippet, then it no
> longer needs to be here.
>
> When doing such changes, I would suggest to at least run:
>
>   make check-system TESTS=basic
>
> to detect obvious mistakes, and perhaps run the “installed-os” test as
> well (it’s much more expensive, so run it once you’re essentially done).
>
> HTH!
>
> Ludo’.
>
>
>

-- 
Best regards,
Nicolas Graves